

    <div class="wrapper">
        <h2>Behavior Subject</h2>
        <h3 style="font-weight: lighter">Service acting as a Redux like store</h3>
        <p>Current Panel : {{currentPanel}} <button (click)="reset()">reset</button></p>
        <div class="content-wrapper">
            <app-menu-b (selectedForm)="handleFormChange($event)"></app-menu-b>
            <div class="form-container" [style.border]="currentPanel === 0 ? 'none' : ' black solid 2px'" [ngSwitch]="currentPanel">
                <app-panel-a *ngSwitchCase=1></app-panel-a>
                <app-panel-b *ngSwitchCase=2></app-panel-b>
                <app-panel-c *ngSwitchCase=3></app-panel-c>
            </div>
        </div>

    </div>
    
